Skip to content
Start here

Get extension

client.registrar.extensions.get(stringextension, ExtensionGetParams { account_id } params, RequestOptionsoptions?): ExtensionGetResponse { metadata, registration_schema }
GET/accounts/{account_id}/registrar/extensions/{extension}

Returns metadata and JSON Schema documents describing the expected input structure for registration operations on a specific extension (TLD).

Supports HTTP conditional GET via ETag. Include the ETag value from a previous response in an If-None-Match header to receive a 304 Not Modified when the data has not changed.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
extension: string
params: ExtensionGetParams { account_id }
account_id: string

Identifier

maxLength32
ReturnsExpand Collapse
ExtensionGetResponse { metadata, registration_schema }

Extension entry with metadata and JSON Schema documents for the registration operation.

metadata: Metadata { name, tld }

Extension metadata

name: string

The full name of the extension. For example, “co.uk”, or “uk”

tld: string

The tld of the extension. For example, for “co.uk”, it’s “uk”. For “uk”, it’s “uk”

registration_schema: unknown

JSON Schema describing the expected input structure for registration operations on this extension.

Get extension

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const extension = await client.registrar.extensions.get('com', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(extension.metadata);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "metadata": {
      "name": "name",
      "tld": "tld"
    },
    "registration_schema": {}
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "metadata": {
      "name": "name",
      "tld": "tld"
    },
    "registration_schema": {}
  },
  "success": true
}